90° Dial
POST /cosmobiology/dial-90
POST
/cosmobiology/dial-90
All chart points in 90° cardinal modulus.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/cosmobiology/dial-90 \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "...chart": "...", "withTnp": true }'const res = await fetch('https://api.astroway.info/v1/cosmobiology/dial-90', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "...chart": "...", "withTnp": true }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/cosmobiology/dial-90', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ '...chart': "...", 'withTnp': True },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('cosmobiology/dial-90', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ '...chart' => '...', 'withTnp' => true, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
date
required
string
time
required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
withTnp
boolean
Example
{ "...chart": "...", "withTnp": true}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
points
Array
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.